Bug 248534 - [PATCH] rfe: update r8169 to support PCI-X cards
[PATCH] rfe: update r8169 to support PCI-X cards
Status: CLOSED DUPLICATE of bug 276421
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Ivan Vecera
Martin Jenner
: Reopened
: 247142 (view as bug list)
Depends On:
Blocks: 246139 296411 372911 420521 422431 422441 425461
  Show dependency treegraph
 
Reported: 2007-07-17 06:20 EDT by Andy Shevchenko
Modified: 2008-02-24 18:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-06 12:03:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Update patch (31.72 KB, patch)
2007-07-17 06:20 EDT, Andy Shevchenko
no flags Details | Diff
Final patch posted into kernel mailing list (31.21 KB, patch)
2007-10-15 08:53 EDT, Ivan Vecera
no flags Details | Diff
Patch from 276421 (20.48 KB, patch)
2007-12-06 11:51 EST, Ivan Vecera
no flags Details | Diff
Patch from 276421 (33.10 KB, patch)
2007-12-06 12:01 EST, Ivan Vecera
no flags Details | Diff

  None (edit)
Description Andy Shevchenko 2007-07-17 06:20:03 EDT
Description of problem:
The current r8169 driver in the kernel does not support the PCI-X Gigabit 
Ethernet cards.

Version-Release number of selected component (if applicable):
Last official kernel (IIRC the 8.1.8.el5).

Additional info:
Please, review attached patch to include in the next releases.
Thanks.
Comment 1 Andy Shevchenko 2007-07-17 06:20:03 EDT
Created attachment 159413 [details]
Update patch
Comment 2 Andy Shevchenko 2007-07-17 06:25:03 EDT
The patch was catched from last FC5 kernel and adjusted for RHEL kernel.
After applying and rebuilding kernel with patch the r8168-based laptop start to 
work fine.
Comment 3 Ivan Vecera 2007-08-16 09:29:36 EDT
Hello, I built a kernel package with proposed patch. You can find the package on
my pages (http://people.redhat.com/ivecera/bz248534/).
Could you please test this kernel build and put here some report? 

-- Ivan
Comment 6 Andy Shevchenko 2007-08-17 08:28:34 EDT
I've installed the above kernel to the laptop with 10ec:8168 ethernet card. It 
works fine for me. Thank you.
Comment 10 RHEL Product and Program Management 2007-08-22 09:15:49 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 11 Ivan Vecera 2007-10-15 08:49:20 EDT
*** Bug 247142 has been marked as a duplicate of this bug. ***
Comment 12 Ivan Vecera 2007-10-15 08:53:05 EDT
Created attachment 227591 [details]
Final patch posted into kernel mailing list
Comment 14 Ivan Vecera 2007-12-06 10:30:44 EST
I received requests for additional realtek chips (BZs 251259 and 276421) and I
enhanced the posted patch for this BZ with one upstream commit to support the
mentioned new realtek chips. So I'm going to mark this bug as duplicate of bug
276421 to avoid two integration steps.

*** This bug has been marked as a duplicate of 276421 ***
Comment 15 Andy Shevchenko 2007-12-06 11:17:46 EST
"You are not authorized to access bug #276421. 

Access to some bugs is restricted due to embargoed security issues or respect 
for customer and partner information which must remain confidential."

Please, reattach solution here.
Comment 16 Ivan Vecera 2007-12-06 11:51:45 EST
Created attachment 279911 [details]
Patch from 276421

OK, I stored the patch from 276421 here.
Comment 18 Ivan Vecera 2007-12-06 12:01:01 EST
Created attachment 279961 [details]
Patch from 276421

I'm sorry for a mistake (wrong patch). I'm sending a new one.
Comment 19 Ivan Vecera 2007-12-06 12:03:19 EST

*** This bug has been marked as a duplicate of 276421 ***

Note You need to log in before you can comment on or make changes to this bug.